# JvmClasses

API Documentation: | `JvmClasses`

Note: This class is incubating and may change in a future version of Gradle.

A set of classes and resources that operate together.

### Properties

Property | Description
`classesDir` | Incubating The classes directory for this binary.
`resourceDirs` | Incubating A set of resource directories for this binary.

### Methods

Method | Description
`addResourceDir(resourceDir)` | Incubating Add a resource directory to this binary.

### Script blocks

No script blocks

### Property details

#### `File` `classesDir`

Note: This property is incubating and may change in a future version of Gradle.

The classes directory for this binary.

#### ``Set`<`File`>` `resourceDirs` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A set of resource directories for this binary.

### Method details

#### `void` `addResourceDir`(`File` resourceDir)

Note: This method is incubating and may change in a future version of Gradle.

Add a resource directory to this binary.